#!/usr/bin/perl
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software 
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#  
# file <reformMrPrjCslFile.pl> version <#1.3.1#> of project <MrProjext>

while(defined($inFileName=shift))
{

  if (!(open(INFILE,"< ${inFileName}")))
  {
    print("can't open infile <${inFileName}>\n");
    next;
  }
  
  $outFileName="${inFileName}.changed";

  if (!(open(OUTFILE,"> ${outFileName}")))
  {
    print("can't open outfile <${outFileName}>\n");
    next;
  }
  
  $outFileName="${inFileName}.tmp";
  
  
  
  print("${inFileName} => ${outFileName}\n");
  
  
  while(defined($line=<INFILE>))
  {
    ($nr,$task,$descr,$actor,$begin,$end,$state,$cond)=split(/,/,$line);
    
    $reformedLine= "${nr}," .
                   "${task}," .
		   "${descr}," .
		   "," .            #priority
		   "\"PI/OS\"," .
		   "${actor},,," .
		   "," .            #shallstart
		   "${begin},," .   #is-start
		   "${end}," .      #is-end
		   "${state}," .
		   "${cond}";
    print(OUTFILE $reformedLine);
  }
  close(OUTFILE);
  close(INFILE);
  
}
exit(0);
